package usherbrooke.ift630;

class BusInformationMessage {
	private Bus bus; // origin
	private Stop stop; //dest
	private int timeToStop; // info

	public BusInformationMessage(Bus b, Stop s, int time) {
		this.bus = b;
		this.stop = s;
		this.timeToStop = time;
	}

	// throws unauth if stop shouldt see
	public Bus getBus(Stop s) throws UnauthorizedException {
		if (s != stop) {
			throw new UnauthorizedException("UnauthorizedException");
		}

		return bus;
	}

	// throws unauth if stop shouldt see
	public Stop getStop(Stop s) throws UnauthorizedException {
		if (s != stop) {
			throw new UnauthorizedException("UnauthorizedException");
		}

		return stop;
	}

	// throws unauth if stop shouldt see
	public int getTimeToStop(Stop s) throws UnauthorizedException {
		if (s != stop) {
			throw new UnauthorizedException("UnauthorizedException");
		}
		return timeToStop;
	}
} 
